Bun giorno.
Faccio una Premessa.
È da una settimana che ho iniziato ad usare Drupal 7.
Ho dei problemi con i seguenti moduli nelle versioni stabili:

1) wysiwyg-7.x-2.0
2) ckeditor-7.x-1.1
3) kcfinder-7.x-1.82
4) ckeditor_link-7.x-1.2-beta1

Iniziamo con il primo riguardante Wysiwyg che dopo aver installato il modulo ckeditor-7.x-1.1 , e scaricato il core ckeditor 3.6 , scompattato e posizionato nella directory sites/all/libraries/ckeditor, e sites/all/libraries/ckeditor/ckeditor.js andando a configurare Wysiwyg per ckeditor mi da che non è installato, ma se vado a creare un articolo o una pagina, l’editor visuale ckeditor viene visualizzato e funziona. Come mai?

Passiamo ora al secondo problema, riguardante il modulo kcfinder. L’istallazione di questo modulo si conclude positivamente. Per farlo funzionare con ckeditor, bisogna scaricare il core ckfinder e scompattarlo e posizionarlo dentro la directory di ckeditor. Andando nel settaggio di ckeditor, in profili , FULL html nella sezione File Browser Setting, setto come link per inserire le immagini CKFinder. Vado a creare un articolo, inserisco una immagine tramite il pulsante immagini, mi si apre la finestra per inserire le immagini, ma se per l’ URL, seleziono il pulsante CERCA NEL SERVER, mi si apre la finestra di ckfinder, ma mi visualizza il messaggio “ Questo programma è disabilitato per motivi di sicurezza. Prego contattare l'amministratore del sistema e verificare le configurazioni di CKFinder. ” e se vado nel resoconto sullo stato, per il modulo CKeditor viene visualizzato questo messaggio “ You are using a feature that requires $cookie_domain to be set, but it is not set in your settings.php (CKFinder is enabled in the Advanced profile). ”

Come ultimo problema, non mi funziona il modulo ckeditor_link-7.x-1.2-beta1 che se lo installo, non funziona.

Vi chiedevo anche dove posso trovare il file adibito al codice (

<?php
print render($page['footer']);
?>
) per poterlo andare a modificare a mio piacimento, anche perché ho visto che vi è un modulo, footer_message-7.x-1.1, per cambiare la dicitura del footer, ma è troppo limitata, e annidarlo a cambiare nella page.tlp direttamente, che mi sembra poco professionale.
Spero che qualche buona anima mi dia dei chiarimenti e delle soluzioni
Cordiali saluti a tutti